# getAllowDefinitionOverriding method

1. @override

bool getAllowDefinitionOverriding()
override

Retrieves the current definition overriding setting.

## Usage Example:

    final allowOverride = factory.getAllowDefinitionOverriding();
    print('Definition overriding allowed: $allowOverride');

@return true if definition overriding is allowed, false otherwise

## Implementation

    @override
    bool getAllowDefinitionOverriding() => getPodFactory().getAllowDefinitionOverriding();